if m_simpleTV.Control.ChangeAdress ~= 'No' then return end

local inAdr = m_simpleTV.Control.CurrentAdress

if inAdr == nil then return end
local retAdr = string.match(inAdr, '^\\\\.+' )
if not retAdr then return end
retAdr = string.gsub(inAdr, '\\', '/')
retAdr = 'file:' .. retAdr

m_simpleTV.Control.ChangeAdress = 'Yes'
m_simpleTV.Control.CurrentAdress = retAdr